Loading...
Searching...
No Matches
websocketpp::concurrency::none Class Reference

Stub concurrency policy that implements the interface using no-ops. More...

`#include <none.hpp>`

## Public Types

typedef none_impl::fake_mutex | mutex_type
| The type of a mutex primitive.
typedef none_impl::fake_lock_guard | scoped_lock_type
| The type of a scoped/RAII lock primitive.

## Detailed Description

Stub concurrency policy that implements the interface using no-ops.

This policy documents the concurrency policy interface using no-ops. It can be used as a reference or base for building a new concurrency policy. It can also be used as is to disable all locking for endpoints used in purely single threaded programs.

Definition at line 60 of file none.hpp.

## Member Typedef Documentation

## mutex_type

typedef none_impl::fake_mutex websocketpp::concurrency::none::mutex_type

The type of a mutex primitive.

std::mutex is an example.

Definition at line 66 of file none.hpp.

## scoped_lock_type

typedef none_impl::fake_lock_guard websocketpp::concurrency::none::scoped_lock_type

The type of a scoped/RAII lock primitive.

The scoped lock constructor should take a mutex_type as a parameter, acquire that lock, and release it in its destructor. std::lock_guard is an example.

Definition at line 74 of file none.hpp.

The documentation for this class was generated from the following file:

- websocketpp/concurrency/none.hpp